Subject: Re: bug#6681: 23.2; "Save Error" from semantic

From: "Eric M. Ludlam" <[email-masked]>
Date: Fri, 30 Jul 2010 20:22:45 -0400

Yes, I've seen this before.  Here is a thread:

http://permalink.gmane.org/gmane.emacs.cedet/3995

Kai had a hook that expected a buffer to always exist in his c mode 
hook.  Semantic's parser has to create c mode buffers with no file in 
order to build up text from macros to parse it.  The error gets caught 
in the wrong place, and bogus stuff gets into the macro table that only 
turns up later.

The latest semantic-c.el in CEDET/CVS, as the thread suggests,will ask 
if the user wants to debug their hooks if this happens.

semantc-lex-spp.el in CEDET/CVS has a little more error checking there too.

My latest papers for the next 6 months should have arrived at the FSF a 
while ago, so if you need to merge anything, it should be good.

Eric

On 07/30/2010 07:18 PM, Chong Yidong wrote:
> Hi Eric,
>
> Have you come across this bug before?  It doesn't look familiar to me.
>
> Tom, could you try to describe what parts of CEDET you enabled?  Are you
> using EDE in addition to Semantic?
>
>
>
>
> Tom Tromey<[email-masked]>  writes:
>
>> I have semantic enabled.  I saw this error in *Messages*:
>>
>> Error Writing Table: #<semanticdb-table ctype.h>
>> Save Error: "\"Error in macro \\\"name\\\"\"": /home/tromey/.emacs.d/semanticdb/!usr!include!semantic.cache
>>
>>
>>
>>
>> In GNU Emacs 23.2.1 (i386-redhat-linux-gnu, GTK+ Version 2.20.1)
>>   of 2010-05-13 on x86-01.phx2.fedoraproject.org
>> Windowing system distributor `Fedora Project', version 11.0.10802000
>> configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--program-prefix=' '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables''
>